## -ux: Anmelden an das Programm XUSER

### Verwendung

Sie verwenden die DBM-Option -ux, um sich aus dem Database Manager CLI heraus mit den Daten unter dem Benutzerschlüssel DEFAULT an das Programm XUSER anzumelden.

Sie können diese DBM-Option zusammen mit den DBM-Optionen zum Ändern (–us) oder Löschen (–ud) von XUSER-Einträgen verwenden.

Verwenden Sie vorzugsweise direkt das Werkzeug XUSER.

Siehe auch: Utilities, XUSER

### Voraussetzungen

Sie haben den Benutzernamen und das Kennwort eines gültigen Datenbankbenutzers unter dem Benutzerschlüssel DEFAULT gespeichert.

### Syntax

-ux <default_user_name>,<default_user_password>

Optionen

Option | Beschreibung
<default_user_name> | Name des unter dem Benutzerschlüssel DEFAULT gespeicherten Benutzers
<default_user_password> | Kennwort des unter dem Benutzerschlüssel DEFAULT gespeicherten Benutzers

### Beispiele

Ändern eines vorhandenen XUSER-Eintrags

>dbmcli -ux <default_user_name>,<default_user_password> -uk <user_key> –us <new_user_name>,<new_user_password> [options]

Aufrufen des Database Manager CLI, Anmelden mit dem unter dem Benutzerschlüssel DEFAULT gespeicherten Benutzer BORIS, Kennwort PINK, Angabe des zu ändernden XUSER-Eintrags mit dem Benutzerschlüssel DAKEY, Angabe des neuen Benutzernamens und –kennworts MONA und RED:

>dbmcli –ux BORIS,PINK –uk DAKEY –us MONA,RED

Löschen eines vorhandenen XUSER-Eintrags

>dbmcli -ux <default_user_name>,<default_user_password> -uk <user_key> -ud

Aufrufen des Database Manager CLI, Anmelden mit dem unter dem Benutzerschlüssel DEFAULT gespeicherten Benutzer BORIS, Kennwort PINK, Angabe des zu löschenden XUSER-Eintrags mit dem Benutzerschlüssel DAKEY, Angabe der DBM-Option –ud zum Löschen dieses Eintrags:

>dbmcli –ux BORIS,PINK –uk DAKEY –ud